![Header](https://chaotikum.org/assets/header.png)

## Inventar

Wir haben einige Sachen als Inventar erfasst. Das ist keine ausführliche Inventarisierung, das brauchen und wollen wir nicht, aber für manche Sachen ist es praktisch.

* Sie können dadurch auf unserer [Werkstatt Website](https://chaotikum.org/nobreakspace/werkstatt/) auftauchen.
* Sie tauchen in unserem [Inventar](https://chaotikum.org/nobreakspace/inventory/) auf.
* Wir können Sicherheitsvorschriften im Sinne der [Werkstattordnung](https://chaotikum.org/verein/werkstattsordnung/) definieren
* Wir können sie in Sets aufnehmen um sie zu [verleihen](https://chaotikum.org/loancal/)

Es würde ggf auch sehr viel Sinn ergeben Einweisungen und so hier irgendwo zu definieren, aber ein Datenschutzsparsames Konzept fehl hier noch etwas.

### Geräte dem Inventar hinzufügen

Um ein Gerät hinzuzufügen, kommt eine Markdon Datei in den Ordner `_inventory`.

Je nachdem, was es ist, können diese Dateein durchaus unterschiedlich ausfallen. Aktuell gibt es primär zwei ausführungen:

Ein Gerät in der Werkstatt (oder ein Gerät, das technisch nicht in der Werkstatt steht aber auf der Werkstatt Seite aufgelistet werden soll) sieht z.B. so aus und ist primär im Set `werkstatt`:

```
---
layout: device
name: "CNC-Fräse"
#https://www.uuidgenerator.net/
uid: 3fe2ca58-932a-440a-8c1f-b0f9f8db6ade
safetybriefing: true
safetylink: https://wiki.chaotikum.org/hackspace:werkstatt:sicherheitsbelehrung:fraese
wikilink: https://wiki.chaotikum.org/hackspace:infrastruktur:cncfraese
calcolor: "#96aa3d"
imagetag: cncfraese
sets: 
 - werkstatt
hints:
 - "Nutzung nur nach Einweisung bzw. Überprüfung deiner Kenntnisse"
 - "Gefahr durch rotierende Teile sowie Quetschungen."
 - "Niemals unbeaufsichtigt laufen lassen."
commandsigns:
 - M002
 - M003
 - M004
 - M016
---
Eine CNC-Fräse ist ein Gerät, welches Materialbearbeitung durch Subtraktion
durchführt. Grundlegende Infos dazu findest du z.B. auf
[dieser Seite](https://prototechasia.com/de/cnc-bearbeitung/cnc-bearbeitung-erklaerung).

CNC steht für *Computerized Numerical Control*, also durch Computer
kontrollierte, numerische Kontrolle. Das heißt, mit einer speziellen Software werden
die erstellten Modelle in Befehle für die Fräse übersetzt.

Wir verwenden eine Fräse mit einer Grundfläche von 30cm x 40cm, über die Du in
[diesem Video mehr erfahren kannst (wir nutzen allerdings eine andere Software zur Steuerung)](https://www.youtube.com/watch?v=SYKNvL7CEH0).
Zudem wurde die Hardware individuell angepasst.

Das richtige Bedienen einer CNC-Fräse erfordert viel Erfahrung. Ein einfaches
Tutorial Video kann nur schlecht alle erforderlichen Kenntnisse vermitteln.
Es ist deshalb notwendig sich von jemanden mit Betriebserfahrung einarbeiten zu
lassen. Um einen ersten Eindruck zu bekommen, empfehlen wir folgende Infomaterialien:

- [Software zum Kommunizieren mit der Fräse](https://github.com/winder/Universal-G-Code-Sender)
```

* `layout` MUSS immer „device“ sein.
* `name` Name des Geräts. Gerne spezifischer als nur Fräse…
* `uid` Jedes Gerät im Inventar hat eine eindeutige UUID
* `safetybriefing` Wenn dies True ist benötigt das Gerät eine Einweisung nach Werkstattordnung. Default ist false, dann kann man es einfach weglassen. Die Sicherheitshinweise und andere Hinweise für die Einweisung selbst werden im Ordner _briefing gelegt.
* `wikilink` Geräte können auch eine Wiki Seite haben. Wenn ja, hier hin.
* `out-of_service` kann mit true gesetzt werden, wenn das Gerät kaput ist, dann wird das auf entsprechenden Seiten angezeigt. Default ist false, das muss nicht gesetzt werden.
* `calcolor`: Nur Relevant für verleihbare Geräte, definiert welche Farbe sie im Verleih-Kalender haben, um sie besser unterscheiden zu können. Aber bitte immer was neues eintragen und nicht kopieren, es könnte auch für Werkzeug mal so ein Kalender Feature geben…
* `imagetag` Auf der Werkstattseite gibt es Bilder von Geräten, diese werden mit diesem Tag gefunden (Siehe Howto: Bilder und Galerien).
* `sets` Für Werkstattgeräge primär werkstatt.
* `hints` Hinweise im Orangen Warnkasten.
* `commandsigns` Gebotszeichen damit das funktioniert muss das Gebotszeichen auch im git sein, das gilt nur für einige übliche.

Für Geräte z.B. aus dem Bereich Video oder so sieht das ggf anders aus, hier sind gebotszeichen und Warnhinweise vermutlich unnötig, Aber das Konzept Sets relevanter:

```
---
layout: device
name: "ATEM Mini Extreme ISO (Koffer Blau)"
#https://www.uuidgenerator.net/
uid: e8b93fff-0f17-4a5a-ae97-611de68a86c5
wikilink: https://wiki.chaotikum.org/hackspace:equipment:atem_mini_extreme_iso_1
calcolor: "#69808e"
sets: 
 - video
 - leihbar
 - kofferblau
hints:
 - "Es empfiehlt sich, das Gerät vor der Nutzung kennenzulernen und einzurichten. Es ist nicht alles einfach."
commandsigns:
 - M002
---

ATEM Mini Extreme ISO
```

Ansonsten alles wie oben beschrieben.

## Briefing

In `_briefung` kann man Hinweise zur Nutzung des Gerätes aufschreiben. Daraus kann ein Dokument zur Sicherheitseinweisung nach Werkstattordnung werden. Zudem werden die Hinweise auch auf den A4 Aushnag gedruckt.

So eine Datei kann so aussehen:
```
---
layout: briefing
inventory_uid: 10992f1f-fb14-491f-9e68-6b1b84154674
size-on-poster: 400
---

* Hier stehen demnächst ein paar schlaue Sätze darüber, wie man eine Fräse bedient.
* Hiuer Am Anfang sollten die wichtigsten Punkte zu finden sein
* Nicht nur was sicherheit angeht sondern auch andere Hinweise zur Nutzung
* Die man sich gerne vor jeder Nutzung in Erinnerung rufen sollte
* Denn was am Anfang steht, kommt auch auf die Print Version des A4-Aushangs zum Gerät

### Kapitel

* Kapitel sind auch gut sie strukturieren diese Hinweise

Man muss auch nicht alles mit Spiegelstrichen/Punkten machen, man kann auch Texte schreiben. Je nachdem wie es eben am meisten Sinn ergibt. 

### Mehr Infos

* Punkt 1
* Punkt 2
* Punkt 3

<!--more-->

* Was nach dem "more" kommt, sind hinweise, die auch vermittel werden sollten bei der erstmaligen Einweisung. 
* Sie bleiben auch online einsehbar
* aber sie stehen nicht auf dem Aushnag in der Werkstatt.
* Dafür kann man davon beliebig viele haben
```