![Header](https://chaotikum.org/assets/header.png)

## Einen Blogpost schreiben

Worauf muss man achten, wenn man einen neuen Blogpost für die Chaotikum Website verfassen möchte?

### Ein Blogpost in jekyll

In jekyll besteht ein Blogpost aus einer Datei, die man in den Ordner `_posts/blog` hinzufügt. Diese Dateien haben eine spezielle Struktur, sie sind immer nach folgendem muster aufgebaut

`YYYY-MM-DD-titel-des-posts-ohne-umlaute.markdown`

`YYYY-MM-DD` sollte dabei durch den Datums-Teil des date-Eintrags der Frontmatter ersetzt werden.

Die Datei selbst besteht aus zwei Teilen, der „Frontmatter“, einige Metadaten zu deinem Post, sowie dem eigentlichen Text.

### Frontmatter
**layout**: muss immer den wert post haben

`layout: post`

title: der Titel so wie er im Blog angezeigt werden soll

`title: „104. OSM-Stammtisch“`

date: hier muss das präzise Datum der Veröfentlichung (inklusive Uhrzeit) rein.

`date: 2017-11-21 10:00:00 +0200`

uid

`uid: cdb01cdc-b408-4814-b592-df4734a3299a`

Die uid eines events kann angegeben werden. Dann kann (wen auch das richtige tag gesetzt ist) das Event mit dem Post verknüpft werden.

categories: Als Kategorie muss „blog“ angegeben werden

`categories: - blog`

tags: Der Tag sorgt dafür, dass wir potentiell zusammengehörige Artikel gruppieren können.

`tags: - osm`

Das Tag „event“ ist ein besonderes. Wenn ein Blogpost ein Event ankündigt, welches mit einer uuid im event folder liegt, sollte man dieses tag nicht vergessen, damit jekyll weiß, dass es Post und Event verknüpfen soll.

frontpage: nur Artikel bei denen dies true ist, kommen auf die Startseite. Sollte üblicherweise true sein, aber für den fall, dass man etwas nicht auf der Startseite möchte, gibt es dieses Flag.

`frontpage: true`

feature_image: Sofern man ein spezielles Bild im Header dieses Blogposts möchte, kann man es hier setzen (sollte man auch, sonst kommt das default Bild, und man weiß ja nicht, ob das immer passend ist). Das Bild wird z.B. auch genutzt um in Social Media als Preview Bild zu fungieren.

`feature_image: „/assets/osmback.png“`

feature_image_alt: Alt text für das Feature Image. Im header wird das nicht genutzt, weil das da ein seltsames div ist, aber in der Mobilvariante, wenn das feature_image in der Überischt der Posts auftaucht, passiert das nur, wenn auch ein alt-text hier definiert ist.

`feature_image_alt: „Eine Statue leicht mit Schnee bedeckt“`

Beim erstellen eines Blogposts für den Chaotikum Blog sind einige Daten immer zu pflegen:

Inhalt
Nach der Frontmatter folgt der Inhalt, hier schreibt man in Markdown. Wichtig ist, dass man sich überlegt, wie viel Text man als Teaser auf der Website nutzen möchte und danach das <!–more–> Tag setzt, dort wird der Text dann abgeschnitten. Nach spätestens 60 Worten wird automatisch abgeschnitten.

Formatierungen (fett drucken…) oder links werden nur im Blogpost selbst, nicht aber im Teaser auf der Übersicht angezeigt.

#### Bilder und Galerien einbinden
Ein Anleitung über das Einbinden von Medien findet sich [hier](/docs/embedmedia.md).


#### Pressemitteilungen
Pressemitteilungen sind auch Blogposts und erscheinen auch als solche in der Übersicht. Sie erscheinen allerdings auch noch separat auf der Übersicht der Pressemitteilungen.

#### Projektposts
Neben Pressemitteilungen und Blogposts gibt es auch Projektposts. Sie unterscheiden sich durch die Angabe der category. Und durch den Ordner (der dient lediglich der Übersicht, Ordner sind nicht wichtig).

Grundsätzlich sind mehr Kategorien möglich, sie müssen allerdings im Ordner `_categories` angelegt werden, damit sie einen lesbaren namen haben.